## org.apache.solr.common.cloud
Class RoutingRule

    java.lang.Object
      org.apache.solr.common.cloud.ZkNodeProps
          org.apache.solr.common.cloud.RoutingRule

All Implemented Interfaces:
  org.noggit.JSONWriter.Writable

    public class RoutingRule

extends ZkNodeProps

Used for routing docs with particular keys into another collection

Field Summary

Fields inherited from class org.apache.solr.common.cloud.ZkNodeProps
`propMap`

Constructor Summary
`RoutingRule(String routeKey, Map<String,Object> propMap)`

Method Summary
`Long` `getExpireAt()`
`List<DocRouter.Range>` `getRouteRanges()`
`String` `getRouteRangesStr()`
`String` `getTargetCollectionName()`
`String` `toString()`

Methods inherited from class org.apache.solr.common.cloud.ZkNodeProps
`containsKey, fromKeyVals, get, getBool, getInt, getProperties, getStr, getStr, keySet, load, makeMap, shallowCopy, write`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### RoutingRule

    public RoutingRule(String routeKey,
                       Map<String,Object> propMap)

Method Detail

### getRouteRanges

    public List<DocRouter.Range> getRouteRanges()

### getTargetCollectionName

    public String getTargetCollectionName()

### getExpireAt

    public Long getExpireAt()

### getRouteRangesStr

    public String getRouteRangesStr()

### toString

    public String toString()

  Overrides:
    `toString` in class `ZkNodeProps`

Copyright © 2000-2014 Apache Software Foundation. All Rights Reserved.